#
# spec file for package python-repoze.lru
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-repoze.lru
Version:        0.6
Release:        12.5
Summary:        A tiny LRU cache implementation and decorator
License:        SUSE-Repoze
Group:          Development/Languages/Python
Url:            http://www.repoze.org
Source:         http://pypi.python.org/packages/source/r/repoze.lru/repoze.lru-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
repoze.lru is a LRU (least recently used) cache implementation.  Keys and
values that are not used frequently will be evicted from the cache faster
than keys and values that are used frequently.  It works under Python 2.5,
Python 2.6, Python 2.7, and Python 3.2.

%prep
%setup -q -n repoze.lru-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Sep  8 2012 os-dev@jacraig.com
- Update to 0.6:
  * Added a 'CacheMaker' helper class:  a maker keeps references (by name)
    to the caches it creates, to permit them to be cleared.
  * Added statistics to each cache, tracking lookups, hits, misses, and
    evictions.
  * Automated building Sphinx docs and testing example snippets under ``tox``.
  * Added Sphinx documentation.
  * Dropped support for Python 2.5.
  * Added support for PyPy.
  * Added ``setup.py docs`` alias (installs ``Sphinx`` and dependencies).
  * Added ``setup.py dev`` alias (runs ``develop`` plus installs ``nose``
    and ``coverage``).
  * Added support for CI under supported Pythons using ``tox``.
  * Bug: Remove potential race condition on lock in face of interrupts
    (Issue #10).
* Tue Apr 17 2012 cfarrell@suse.com
- license update: SUSE-Repoze
  Use this identifier to refer to (exactly) the Repoze Public License
* Mon Apr 16 2012 saschpe@suse.de
- Initial version
